Aide VPS :

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
Bonjour,

Voici ce que j'obtient quand j'entre la commande suivante sur PuTTY :
Code:
./srcds_run -console -game garrysmod +maxplayers 16 +map gm_construct
L'erreur :

Code:
Using default binary: ./srcds_linux
Server will auto-restart if there is a crash.
Failed to open dedicated_srv.so (/lib/i386-linux-gnu/i686/cmov/libm.so.6: version `GLIBC_2.15' not found (required by bin/dedicated_srv.so))
Add "-debug" to the ./srcds_run command line to generate a debug.log to help with solving this problem

Ensuite j'entre comme demandé : -debug, ce qui donne :

Code:
./srcds_run -console -game garrysmod +maxplayers 16 +map gm_construct -debug
Voici ce que j'obtient :

Code:
Using default binary: ./srcds_linux
Enabling debug mode
./srcds_run: ligne183: gdb : commande introuvable
WARNING: Please install gdb first.
        goto http://www.gnu.org/software/gdb/
Server will auto-restart if there is a crash.
Failed to open dedicated_srv.so (/lib/i386-linux-gnu/i686/cmov/libm.so.6: version `GLIBC_2.15' not found (required by bin/dedicated_srv.so))
Add "-debug" to the ./srcds_run command line to generate a debug.log to help with solving this problem

Voila, après 5 heures de recherches sur des centaines de sites, je ne trouve rien :(


En espérant que vous pouvez m'aider,

Merci d'avoir lu/pris votre temps,

Cordialement,
N.S
 

k3ddan

Membre
Membre
24 Février 2017
48
1
23
Nord
Pseudo RP
Vladd Ico
Bonjour, tout d'abord je voudrais savoir sous quel OS tourne votre VPS. Ensuite comment vous avez installer votre programme (Le tuto de the coding beast sur youtube je présume ?). Et avez-vous essayé de comprendre les erreurs affichées ? En l'occurrence, il doit vous manquer un paquet sur votre distribution.

J'ai trouvé la solution à votre problème içi.
http://wiki.garrysmod.com/page/Linux_Dedicated_Server_Hosting

Deux solutions soit vous passez en Ubuntu 32 bits, soit faire la manipulation suivante:

wget http://security.ubuntu.com/ubuntu/pool/main/e/eglibc/libc6_2.15-0ubuntu10.11_i386.deb
dpkg -x libc6_2.15-0ubuntu10.11_i386.deb tmp/
cd tmp/lib/i386-linux-gnu/
cp * /<le répertoire de ton serveur gmod>/bin/

Avec cette manipulation, GLIBC sera placé manuellement.
 
Dernière édition:

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
Bonjour,

Je suis sur Debian 7.10 Wheezy oldstable 32bits (je peux changer si nécessaire, merci de me dire quelle version je dois prendre)

cette manipulation ne marche pas :
wget http://security.ubuntu.com/ubuntu/pool/main/e/eglibc/libc6_2.15-0ubuntu10.11_i386.deb
dpkg -x libc6_2.15-0ubuntu10.11_i386.deb tmp/
cd tmp/lib/i386-linux-gnu/
cp * /<le répertoire de ton serveur gmod>/bin/

J'utilise ce tuto : http://steamcommunity.com/sharedfiles/filedetails/?l=french&id=208839830
car sur le tuto de thecodingbeast, la commande suivante est introuvable :
Code:
sudo apt-get install mailutils postfix curl wget file bzip2 gzip unzip bsdmainutils python util-linux tmux libstdc++6 lib32tinfo5

Merci
 

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
Conaissez- vous un tuto qui fonctionne très bien (si c'est le cas, merci de donner l'OS)
 

k3ddan

Membre
Membre
24 Février 2017
48
1
23
Nord
Pseudo RP
Vladd Ico
Avant de changer d'OS, je recommanderai de comprendre pourquoi ça ne fonctionne pas.
Si la commande est introuvable c'est qu'il manque probablement quelque chose au niveau de votre debian.

Avez-vous tapé les commandes suivantes au préalable ?:

sudo apt-get update
sudo apt-get upgrade

Et par ailleurs, quand quelque chose ne marche pas, pouvez poster au moins les messages d'erreurs.
 

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
la commande sudo est introuvable, voici l'erreur :
Code:
root@ns3013947:~# sudo apt-get update
-bash: sudo : commande introuvable
Autre erreur :

Code:
root@ns3013947:~# sudo apt-get install mailutils postfix curl wget file bzip2 gzip unzip bsdmainutils python util-linux tmux libstdc++6 lib32tinfo5
-bash: sudo : commande introuvable
 

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
Mon problème est réglé,
je suis passé sous Ubuntu 14.04 et j'ai suivis ce tuto : https://gameservermanagers.com/lgsm/gmodserver


j'ai un autre problème, en suivant le tuto ci-dessus, quand je lance le serveur, un message d'erreur apparait :

Code:
./gmodserver start
[ERROR ] Starting gmod-server: Permission error(s) found in /sys

Information! This error causes servers to fail starting properly
        * To fix this issue, run the following command as root:
          chmod a+rx /sys /sys/class /sys/class/net
 
Dernière édition:

k3ddan

Membre
Membre
24 Février 2017
48
1
23
Nord
Pseudo RP
Vladd Ico
Vous avez juste à taper la commande indiquée en root.
chmod a+rx /sys /sys/class /sys/class/net

Soit en vous connectant en root. Soit en utilisant sudo
 

Nathan Smiley

Membre
Membre
28 Avril 2017
9
0
16
29
Pseudo RP
Nathan Smiley
Je réussis a lancer mon serveur, a me connecter mais le problème, c'est que quand j'ajoute un addon dans le dossier addon, il me met un msg d'erreur :
Code:
gmodserver@ns3013947:~$ ./gmodserver start
[ FAIL ] Starting gmod-server: Ownership issues found
Information! The current user (gmodserver) does not have ownership of the following files:
User  Group  File
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/addon.txt
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/lua
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/lua/darkrp_modules
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/lua/darkrp_modules/ano_cmd
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/lua/darkrp_modules/ano_cmd/sv_ano.lua
root  root   /home/gmodserver/serverfiles/garrysmod/addons/anochat/lua/darkrp_modules/ano_cmd/sh_ano.lua

Information! please see https://github.com/GameServerManagers/LinuxGSM/wiki/FAQ#-fail--starting-game-server-ownership-issues-found
On dirait qu'il n'accepte pas les fichiers, on dirait qu'il faudrait les acceptée mais comment faire ???
 

k3ddan

Membre
Membre
24 Février 2017
48
1
23
Nord
Pseudo RP
Vladd Ico
Il s'agit d'un problème d'appartenance de fichiers. En l'occurrence, dans votre cas, l'addon anochat appartient au root et non à l'utilisateur gmodserver.
Je sais pas comment vous avez upload votre addon (probablement en FTP ?) mais il faut toujours le faire en étant connecté en tant que gmodserver.

Dans cette situation, il faut dire que l'addon anochat appartient à l'utilisateur gmodserver.
Connectez vous en tant que root, puis effectuer la commande suivante:

chown -R gmodserver:gmodserver /home/gmodserver/serverfiles/garrysmod/addons/anochat

Puis, relancez le serveur en tant que gmodserver.
 
Dernière édition:

k3ddan

Membre
Membre
24 Février 2017
48
1
23
Nord
Pseudo RP
Vladd Ico
D'accord, mais pourquoi n'êtes-vous pas passé par un hébergeur de serveur Garry's mod ? Comme par exemple: Verygames ou MtxServ. De cette manière, vous n'auriez pas eu besoin de gérer toute la partie superflue (Commandes Linux en d'autres...). En effet, en passant par un VPS, vous êtes obligé de configurer un peu tout par vous même (Création du serveur, configuration du FTP et il faut un minimum de connaissances pour sécuriser son serveur).